-- Copyright (C) 2020  Intel Corporation. All rights reserved.
-- Your use of Intel Corporation's design tools, logic functions 
-- and other software and tools, and any partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Intel Program License 
-- Subscription Agreement, the Intel Quartus Prime License Agreement,
-- the Intel FPGA IP License Agreement, or other applicable license
-- agreement, including, without limitation, that your use is for
-- the sole purpose of programming logic devices manufactured by
-- Intel and sold by Intel or its authorized distributors.  Please
-- refer to the applicable agreement for further details, at
-- https://fpgasoftware.intel.com/eula.

-- VENDOR "Altera"
-- PROGRAM "Quartus Prime"
-- VERSION "Version 20.1.1 Build 720 11/11/2020 SJ Lite Edition"

-- DATE "11/08/2023 22:39:08"

-- 
-- Device: Altera 10M50DAF484C7G Package FBGA484
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY FIFTYFIVENM;
LIBRARY IEEE;
USE FIFTYFIVENM.FIFTYFIVENM_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	hard_block IS
    PORT (
	devoe : IN std_logic;
	devclrn : IN std_logic;
	devpor : IN std_logic
	);
END hard_block;

-- Design Ports Information
-- ~ALTERA_TMS~	=>  Location: PIN_H2,	 I/O Standard: 2.5 V Schmitt Trigger,	 Current Strength: Default
-- ~ALTERA_TCK~	=>  Location: PIN_G2,	 I/O Standard: 2.5 V Schmitt Trigger,	 Current Strength: Default
-- ~ALTERA_TDI~	=>  Location: PIN_L4,	 I/O Standard: 2.5 V Schmitt Trigger,	 Current Strength: Default
-- ~ALTERA_TDO~	=>  Location: PIN_M5,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- ~ALTERA_CONFIG_SEL~	=>  Location: PIN_H10,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- ~ALTERA_nCONFIG~	=>  Location: PIN_H9,	 I/O Standard: 2.5 V Schmitt Trigger,	 Current Strength: Default
-- ~ALTERA_nSTATUS~	=>  Location: PIN_G9,	 I/O Standard: 2.5 V Schmitt Trigger,	 Current Strength: Default
-- ~ALTERA_CONF_DONE~	=>  Location: PIN_F8,	 I/O Standard: 2.5 V Schmitt Trigger,	 Current Strength: Default


ARCHITECTURE structure OF hard_block IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL \~ALTERA_TMS~~padout\ : std_logic;
SIGNAL \~ALTERA_TCK~~padout\ : std_logic;
SIGNAL \~ALTERA_TDI~~padout\ : std_logic;
SIGNAL \~ALTERA_CONFIG_SEL~~padout\ : std_logic;
SIGNAL \~ALTERA_nCONFIG~~padout\ : std_logic;
SIGNAL \~ALTERA_nSTATUS~~padout\ : std_logic;
SIGNAL \~ALTERA_CONF_DONE~~padout\ : std_logic;
SIGNAL \~ALTERA_TMS~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_TCK~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_TDI~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_CONFIG_SEL~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_nCONFIG~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_nSTATUS~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_CONF_DONE~~ibuf_o\ : std_logic;

BEGIN

ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;
END structure;


LIBRARY ALTERA;
LIBRARY FIFTYFIVENM;
LIBRARY IEEE;
USE ALTERA.ALTERA_PRIMITIVES_COMPONENTS.ALL;
USE FIFTYFIVENM.FIFTYFIVENM_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	Circuit_async_top IS
    PORT (
	OSC_CLK_in : IN std_logic;
	CD_L : IN std_logic;
	CP_L : IN std_logic;
	Sel_CLK : IN std_logic;
	Sel_freq : IN std_logic;
	Sel_code : IN std_logic;
	A_L : BUFFER std_logic;
	B_L : BUFFER std_logic;
	C_L : BUFFER std_logic;
	D_L : BUFFER std_logic;
	E_L : BUFFER std_logic;
	F_L : BUFFER std_logic;
	G_L : BUFFER std_logic;
	TS_L1 : BUFFER std_logic;
	TS_L2 : BUFFER std_logic;
	SEG_L : BUFFER std_logic_vector(15 DOWNTO 0);
	LED : BUFFER std_logic_vector(3 DOWNTO 0);
	LED4 : BUFFER std_logic;
	LED5 : BUFFER std_logic;
	LED6 : BUFFER std_logic;
	LED7 : BUFFER std_logic;
	LED8 : BUFFER std_logic;
	LED9 : BUFFER std_logic
	);
END Circuit_async_top;

-- Design Ports Information
-- A_L	=>  Location: PIN_C14,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- B_L	=>  Location: PIN_E15,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- C_L	=>  Location: PIN_C15,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- D_L	=>  Location: PIN_C16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- E_L	=>  Location: PIN_E16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- F_L	=>  Location: PIN_D17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- G_L	=>  Location: PIN_C17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- TS_L1	=>  Location: PIN_D18,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- TS_L2	=>  Location: PIN_E18,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[0]	=>  Location: PIN_J20,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[1]	=>  Location: PIN_F18,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[2]	=>  Location: PIN_F21,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[3]	=>  Location: PIN_B20,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[4]	=>  Location: PIN_A18,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[5]	=>  Location: PIN_A17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[6]	=>  Location: PIN_A19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[7]	=>  Location: PIN_A21,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[8]	=>  Location: PIN_D22,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[9]	=>  Location: PIN_C19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[10]	=>  Location: PIN_F17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[11]	=>  Location: PIN_J18,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[12]	=>  Location: PIN_L19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[13]	=>  Location: PIN_N18,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[14]	=>  Location: PIN_M20,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SEG_L[15]	=>  Location: PIN_N19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LED[0]	=>  Location: PIN_A8,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LED[1]	=>  Location: PIN_A9,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LED[2]	=>  Location: PIN_A10,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LED[3]	=>  Location: PIN_B10,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LED4	=>  Location: PIN_D13,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LED5	=>  Location: PIN_C13,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LED6	=>  Location: PIN_E14,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LED7	=>  Location: PIN_D14,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LED8	=>  Location: PIN_A11,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LED9	=>  Location: PIN_B11,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Sel_code	=>  Location: PIN_F15,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- CD_L	=>  Location: PIN_B8,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Sel_freq	=>  Location: PIN_C11,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- CP_L	=>  Location: PIN_A7,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Sel_CLK	=>  Location: PIN_C10,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- OSC_CLK_in	=>  Location: PIN_P11,	 I/O Standard: 2.5 V,	 Current Strength: Default


ARCHITECTURE structure OF Circuit_async_top IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_OSC_CLK_in : std_logic;
SIGNAL ww_CD_L : std_logic;
SIGNAL ww_CP_L : std_logic;
SIGNAL ww_Sel_CLK : std_logic;
SIGNAL ww_Sel_freq : std_logic;
SIGNAL ww_Sel_code : std_logic;
SIGNAL ww_A_L : std_logic;
SIGNAL ww_B_L : std_logic;
SIGNAL ww_C_L : std_logic;
SIGNAL ww_D_L : std_logic;
SIGNAL ww_E_L : std_logic;
SIGNAL ww_F_L : std_logic;
SIGNAL ww_G_L : std_logic;
SIGNAL ww_TS_L1 : std_logic;
SIGNAL ww_TS_L2 : std_logic;
SIGNAL ww_SEG_L : std_logic_vector(15 DOWNTO 0);
SIGNAL ww_LED : std_logic_vector(3 DOWNTO 0);
SIGNAL ww_LED4 : std_logic;
SIGNAL ww_LED5 : std_logic;
SIGNAL ww_LED6 : std_logic;
SIGNAL ww_LED7 : std_logic;
SIGNAL ww_LED8 : std_logic;
SIGNAL ww_LED9 : std_logic;
SIGNAL \~QUARTUS_CREATED_ADC1~_CHSEL_bus\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \~QUARTUS_CREATED_ADC2~_CHSEL_bus\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \OSC_CLK_in~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \~QUARTUS_CREATED_GND~I_combout\ : std_logic;
SIGNAL \~QUARTUS_CREATED_UNVM~~busy\ : std_logic;
SIGNAL \~QUARTUS_CREATED_ADC1~~eoc\ : std_logic;
SIGNAL \~QUARTUS_CREATED_ADC2~~eoc\ : std_logic;
SIGNAL \A_L~output_o\ : std_logic;
SIGNAL \B_L~output_o\ : std_logic;
SIGNAL \C_L~output_o\ : std_logic;
SIGNAL \D_L~output_o\ : std_logic;
SIGNAL \E_L~output_o\ : std_logic;
SIGNAL \F_L~output_o\ : std_logic;
SIGNAL \G_L~output_o\ : std_logic;
SIGNAL \TS_L1~output_o\ : std_logic;
SIGNAL \TS_L2~output_o\ : std_logic;
SIGNAL \SEG_L[0]~output_o\ : std_logic;
SIGNAL \SEG_L[1]~output_o\ : std_logic;
SIGNAL \SEG_L[2]~output_o\ : std_logic;
SIGNAL \SEG_L[3]~output_o\ : std_logic;
SIGNAL \SEG_L[4]~output_o\ : std_logic;
SIGNAL \SEG_L[5]~output_o\ : std_logic;
SIGNAL \SEG_L[6]~output_o\ : std_logic;
SIGNAL \SEG_L[7]~output_o\ : std_logic;
SIGNAL \SEG_L[8]~output_o\ : std_logic;
SIGNAL \SEG_L[9]~output_o\ : std_logic;
SIGNAL \SEG_L[10]~output_o\ : std_logic;
SIGNAL \SEG_L[11]~output_o\ : std_logic;
SIGNAL \SEG_L[12]~output_o\ : std_logic;
SIGNAL \SEG_L[13]~output_o\ : std_logic;
SIGNAL \SEG_L[14]~output_o\ : std_logic;
SIGNAL \SEG_L[15]~output_o\ : std_logic;
SIGNAL \LED[0]~output_o\ : std_logic;
SIGNAL \LED[1]~output_o\ : std_logic;
SIGNAL \LED[2]~output_o\ : std_logic;
SIGNAL \LED[3]~output_o\ : std_logic;
SIGNAL \LED4~output_o\ : std_logic;
SIGNAL \LED5~output_o\ : std_logic;
SIGNAL \LED6~output_o\ : std_logic;
SIGNAL \LED7~output_o\ : std_logic;
SIGNAL \LED8~output_o\ : std_logic;
SIGNAL \LED9~output_o\ : std_logic;
SIGNAL \Sel_CLK~input_o\ : std_logic;
SIGNAL \CP_L~input_o\ : std_logic;
SIGNAL \Sel_freq~input_o\ : std_logic;
SIGNAL \OSC_CLK_in~input_o\ : std_logic;
SIGNAL \OSC_CLK_in~inputclkctrl_outclk\ : std_logic;
SIGNAL \Chip2|Chip2|future_state~2_combout\ : std_logic;
SIGNAL \CD_L~input_o\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[0]~22_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[6]~35\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[7]~36_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[7]~37\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[8]~38_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[8]~39\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[9]~40_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[9]~41\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[10]~42_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[10]~43\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[11]~44_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[11]~45\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[12]~46_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[12]~47\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[13]~48_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[13]~49\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[14]~50_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[14]~51\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[15]~52_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[15]~53\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[16]~54_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[16]~55\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[17]~56_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[17]~57\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[18]~58_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[18]~59\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[19]~60_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[19]~61\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[20]~62_combout\ : std_logic;
SIGNAL \Chip2|Chip1|LessThan0~4_combout\ : std_logic;
SIGNAL \Chip2|Chip1|Equal0~0_combout\ : std_logic;
SIGNAL \Chip2|Chip1|Equal0~1_combout\ : std_logic;
SIGNAL \Chip2|Chip1|Equal0~3_combout\ : std_logic;
SIGNAL \Chip2|Chip1|Equal0~4_combout\ : std_logic;
SIGNAL \Chip2|Chip1|LessThan0~1_combout\ : std_logic;
SIGNAL \Chip2|Chip1|LessThan0~0_combout\ : std_logic;
SIGNAL \Chip2|Chip1|LessThan0~2_combout\ : std_logic;
SIGNAL \Chip2|Chip1|LessThan0~3_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[20]~63\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[21]~64_combout\ : std_logic;
SIGNAL \Chip2|Chip1|LessThan0~5_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[0]~23\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[1]~24_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[1]~25\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[2]~26_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[2]~27\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[3]~28_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[3]~29\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[4]~30_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[4]~31\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[5]~32_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[5]~33\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[6]~34_combout\ : std_logic;
SIGNAL \Chip2|Chip1|Equal0~2_combout\ : std_logic;
SIGNAL \Chip2|Chip1|Equal0~5_combout\ : std_logic;
SIGNAL \Chip2|Chip1|Equal0~6_combout\ : std_logic;
SIGNAL \Chip2|Chip1|Equal0~7_combout\ : std_logic;
SIGNAL \Chip2|Chip2|future_state~1_combout\ : std_logic;
SIGNAL \Chip2|Chip2|future_state~3_combout\ : std_logic;
SIGNAL \Chip2|Chip2|future_state~0_combout\ : std_logic;
SIGNAL \Chip2|Chip2|TC10~0_combout\ : std_logic;
SIGNAL \Chip2|Chip4|current_state~0_combout\ : std_logic;
SIGNAL \Chip2|Chip4|current_state~q\ : std_logic;
SIGNAL \Chip2|Chip3|current_state~0_combout\ : std_logic;
SIGNAL \Chip2|Chip3|current_state~q\ : std_logic;
SIGNAL \Chip3|Y~0_combout\ : std_logic;
SIGNAL \Chip4|Y~0_combout\ : std_logic;
SIGNAL \Chip1|Chip1|current_state~0_combout\ : std_logic;
SIGNAL \Chip1|Chip1|current_state~q\ : std_logic;
SIGNAL \Chip1|Chip2|current_state~0_combout\ : std_logic;
SIGNAL \Chip1|Chip2|current_state~q\ : std_logic;
SIGNAL \Chip1|Chip3|current_state~0_combout\ : std_logic;
SIGNAL \Chip1|Chip3|current_state~feeder_combout\ : std_logic;
SIGNAL \Chip1|Chip3|current_state~q\ : std_logic;
SIGNAL \Sel_code~input_o\ : std_logic;
SIGNAL \Chip1|Chip4|current_state~0_combout\ : std_logic;
SIGNAL \Chip1|Chip4|current_state~q\ : std_logic;
SIGNAL \Chip7|Y~1_combout\ : std_logic;
SIGNAL \Chip7|Y~2_combout\ : std_logic;
SIGNAL \Chip7|Y~0_combout\ : std_logic;
SIGNAL \Chip8|A_L~0_combout\ : std_logic;
SIGNAL \Chip8|B_L~0_combout\ : std_logic;
SIGNAL \Chip8|C_L~0_combout\ : std_logic;
SIGNAL \Chip8|D_L~0_combout\ : std_logic;
SIGNAL \Chip8|E_L~0_combout\ : std_logic;
SIGNAL \Chip8|F_L~0_combout\ : std_logic;
SIGNAL \Chip8|G_L~0_combout\ : std_logic;
SIGNAL \Chip8|G_L~1_combout\ : std_logic;
SIGNAL \TS~0_combout\ : std_logic;
SIGNAL \Chip5|Mux15~0_combout\ : std_logic;
SIGNAL \Chip5|Mux15~1_combout\ : std_logic;
SIGNAL \Chip5|Mux15~2_combout\ : std_logic;
SIGNAL \Chip5|Mux15~3_combout\ : std_logic;
SIGNAL \Chip5|Mux15~4_combout\ : std_logic;
SIGNAL \Chip5|Mux15~5_combout\ : std_logic;
SIGNAL \Chip5|Mux15~6_combout\ : std_logic;
SIGNAL \Chip5|Mux15~7_combout\ : std_logic;
SIGNAL \Chip5|Mux15~8_combout\ : std_logic;
SIGNAL \Chip5|Mux15~9_combout\ : std_logic;
SIGNAL \Chip5|Mux15~10_combout\ : std_logic;
SIGNAL \Chip5|Mux15~11_combout\ : std_logic;
SIGNAL \Chip5|Mux15~12_combout\ : std_logic;
SIGNAL \Chip5|Mux15~13_combout\ : std_logic;
SIGNAL \Chip5|Mux15~14_combout\ : std_logic;
SIGNAL \Chip5|Mux15~15_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state\ : std_logic_vector(21 DOWNTO 0);
SIGNAL \Chip2|Chip2|present_state\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \Chip5|ALT_INV_Mux15~15_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~14_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~13_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~12_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~11_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~10_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~9_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~8_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~7_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~6_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~5_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~4_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~3_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~2_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~1_combout\ : std_logic;
SIGNAL \Chip5|ALT_INV_Mux15~0_combout\ : std_logic;
SIGNAL \ALT_INV_TS~0_combout\ : std_logic;

COMPONENT hard_block
    PORT (
	devoe : IN std_logic;
	devclrn : IN std_logic;
	devpor : IN std_logic);
END COMPONENT;

BEGIN

ww_OSC_CLK_in <= OSC_CLK_in;
ww_CD_L <= CD_L;
ww_CP_L <= CP_L;
ww_Sel_CLK <= Sel_CLK;
ww_Sel_freq <= Sel_freq;
ww_Sel_code <= Sel_code;
A_L <= ww_A_L;
B_L <= ww_B_L;
C_L <= ww_C_L;
D_L <= ww_D_L;
E_L <= ww_E_L;
F_L <= ww_F_L;
G_L <= ww_G_L;
TS_L1 <= ww_TS_L1;
TS_L2 <= ww_TS_L2;
SEG_L <= ww_SEG_L;
LED <= ww_LED;
LED4 <= ww_LED4;
LED5 <= ww_LED5;
LED6 <= ww_LED6;
LED7 <= ww_LED7;
LED8 <= ww_LED8;
LED9 <= ww_LED9;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\~QUARTUS_CREATED_ADC1~_CHSEL_bus\ <= (\~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\);

\~QUARTUS_CREATED_ADC2~_CHSEL_bus\ <= (\~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\);

\OSC_CLK_in~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \OSC_CLK_in~input_o\);
\Chip5|ALT_INV_Mux15~15_combout\ <= NOT \Chip5|Mux15~15_combout\;
\Chip5|ALT_INV_Mux15~14_combout\ <= NOT \Chip5|Mux15~14_combout\;
\Chip5|ALT_INV_Mux15~13_combout\ <= NOT \Chip5|Mux15~13_combout\;
\Chip5|ALT_INV_Mux15~12_combout\ <= NOT \Chip5|Mux15~12_combout\;
\Chip5|ALT_INV_Mux15~11_combout\ <= NOT \Chip5|Mux15~11_combout\;
\Chip5|ALT_INV_Mux15~10_combout\ <= NOT \Chip5|Mux15~10_combout\;
\Chip5|ALT_INV_Mux15~9_combout\ <= NOT \Chip5|Mux15~9_combout\;
\Chip5|ALT_INV_Mux15~8_combout\ <= NOT \Chip5|Mux15~8_combout\;
\Chip5|ALT_INV_Mux15~7_combout\ <= NOT \Chip5|Mux15~7_combout\;
\Chip5|ALT_INV_Mux15~6_combout\ <= NOT \Chip5|Mux15~6_combout\;
\Chip5|ALT_INV_Mux15~5_combout\ <= NOT \Chip5|Mux15~5_combout\;
\Chip5|ALT_INV_Mux15~4_combout\ <= NOT \Chip5|Mux15~4_combout\;
\Chip5|ALT_INV_Mux15~3_combout\ <= NOT \Chip5|Mux15~3_combout\;
\Chip5|ALT_INV_Mux15~2_combout\ <= NOT \Chip5|Mux15~2_combout\;
\Chip5|ALT_INV_Mux15~1_combout\ <= NOT \Chip5|Mux15~1_combout\;
\Chip5|ALT_INV_Mux15~0_combout\ <= NOT \Chip5|Mux15~0_combout\;
\ALT_INV_TS~0_combout\ <= NOT \TS~0_combout\;
auto_generated_inst : hard_block
PORT MAP (
	devoe => ww_devoe,
	devclrn => ww_devclrn,
	devpor => ww_devpor);

-- Location: LCCOMB_X44_Y41_N24
\~QUARTUS_CREATED_GND~I\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \~QUARTUS_CREATED_GND~I_combout\ = GND

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \~QUARTUS_CREATED_GND~I_combout\);

-- Location: IOOBUF_X58_Y54_N16
\A_L~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip8|A_L~0_combout\,
	devoe => ww_devoe,
	o => \A_L~output_o\);

-- Location: IOOBUF_X74_Y54_N9
\B_L~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip8|B_L~0_combout\,
	devoe => ww_devoe,
	o => \B_L~output_o\);

-- Location: IOOBUF_X60_Y54_N2
\C_L~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip8|C_L~0_combout\,
	devoe => ww_devoe,
	o => \C_L~output_o\);

-- Location: IOOBUF_X62_Y54_N30
\D_L~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip8|D_L~0_combout\,
	devoe => ww_devoe,
	o => \D_L~output_o\);

-- Location: IOOBUF_X74_Y54_N2
\E_L~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip8|E_L~0_combout\,
	devoe => ww_devoe,
	o => \E_L~output_o\);

-- Location: IOOBUF_X74_Y54_N16
\F_L~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip8|F_L~0_combout\,
	devoe => ww_devoe,
	o => \F_L~output_o\);

-- Location: IOOBUF_X74_Y54_N23
\G_L~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip8|G_L~1_combout\,
	devoe => ww_devoe,
	o => \G_L~output_o\);

-- Location: IOOBUF_X78_Y49_N9
\TS_L1~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \ALT_INV_TS~0_combout\,
	devoe => ww_devoe,
	o => \TS_L1~output_o\);

-- Location: IOOBUF_X78_Y49_N2
\TS_L2~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \ALT_INV_TS~0_combout\,
	devoe => ww_devoe,
	o => \TS_L2~output_o\);

-- Location: IOOBUF_X78_Y45_N9
\SEG_L[0]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~0_combout\,
	devoe => ww_devoe,
	o => \SEG_L[0]~output_o\);

-- Location: IOOBUF_X78_Y40_N16
\SEG_L[1]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~1_combout\,
	devoe => ww_devoe,
	o => \SEG_L[1]~output_o\);

-- Location: IOOBUF_X78_Y35_N23
\SEG_L[2]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~2_combout\,
	devoe => ww_devoe,
	o => \SEG_L[2]~output_o\);

-- Location: IOOBUF_X78_Y44_N9
\SEG_L[3]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~3_combout\,
	devoe => ww_devoe,
	o => \SEG_L[3]~output_o\);

-- Location: IOOBUF_X66_Y54_N30
\SEG_L[4]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~4_combout\,
	devoe => ww_devoe,
	o => \SEG_L[4]~output_o\);

-- Location: IOOBUF_X64_Y54_N2
\SEG_L[5]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~5_combout\,
	devoe => ww_devoe,
	o => \SEG_L[5]~output_o\);

-- Location: IOOBUF_X66_Y54_N9
\SEG_L[6]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~6_combout\,
	devoe => ww_devoe,
	o => \SEG_L[6]~output_o\);

-- Location: IOOBUF_X78_Y44_N2
\SEG_L[7]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~7_combout\,
	devoe => ww_devoe,
	o => \SEG_L[7]~output_o\);

-- Location: IOOBUF_X78_Y35_N9
\SEG_L[8]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~8_combout\,
	devoe => ww_devoe,
	o => \SEG_L[8]~output_o\);

-- Location: IOOBUF_X69_Y54_N9
\SEG_L[9]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~9_combout\,
	devoe => ww_devoe,
	o => \SEG_L[9]~output_o\);

-- Location: IOOBUF_X78_Y43_N23
\SEG_L[10]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~10_combout\,
	devoe => ww_devoe,
	o => \SEG_L[10]~output_o\);

-- Location: IOOBUF_X78_Y42_N16
\SEG_L[11]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~11_combout\,
	devoe => ww_devoe,
	o => \SEG_L[11]~output_o\);

-- Location: IOOBUF_X78_Y37_N9
\SEG_L[12]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~12_combout\,
	devoe => ww_devoe,
	o => \SEG_L[12]~output_o\);

-- Location: IOOBUF_X78_Y34_N24
\SEG_L[13]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~13_combout\,
	devoe => ww_devoe,
	o => \SEG_L[13]~output_o\);

-- Location: IOOBUF_X78_Y34_N9
\SEG_L[14]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~14_combout\,
	devoe => ww_devoe,
	o => \SEG_L[14]~output_o\);

-- Location: IOOBUF_X78_Y34_N16
\SEG_L[15]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip5|ALT_INV_Mux15~15_combout\,
	devoe => ww_devoe,
	o => \SEG_L[15]~output_o\);

-- Location: IOOBUF_X46_Y54_N2
\LED[0]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip1|Chip1|current_state~q\,
	devoe => ww_devoe,
	o => \LED[0]~output_o\);

-- Location: IOOBUF_X46_Y54_N23
\LED[1]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip1|Chip2|current_state~q\,
	devoe => ww_devoe,
	o => \LED[1]~output_o\);

-- Location: IOOBUF_X51_Y54_N16
\LED[2]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip1|Chip3|current_state~q\,
	devoe => ww_devoe,
	o => \LED[2]~output_o\);

-- Location: IOOBUF_X46_Y54_N9
\LED[3]~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip1|Chip4|current_state~q\,
	devoe => ww_devoe,
	o => \LED[3]~output_o\);

-- Location: IOOBUF_X56_Y54_N30
\LED4~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \LED4~output_o\);

-- Location: IOOBUF_X58_Y54_N23
\LED5~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \LED5~output_o\);

-- Location: IOOBUF_X66_Y54_N23
\LED6~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \LED6~output_o\);

-- Location: IOOBUF_X56_Y54_N9
\LED7~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \LED7~output_o\);

-- Location: IOOBUF_X51_Y54_N9
\LED8~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \LED8~output_o\);

-- Location: IOOBUF_X49_Y54_N9
\LED9~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \LED9~output_o\);

-- Location: IOIBUF_X51_Y54_N29
\Sel_CLK~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_Sel_CLK,
	o => \Sel_CLK~input_o\);

-- Location: IOIBUF_X49_Y54_N29
\CP_L~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CP_L,
	o => \CP_L~input_o\);

-- Location: IOIBUF_X51_Y54_N22
\Sel_freq~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_Sel_freq,
	o => \Sel_freq~input_o\);

-- Location: IOIBUF_X34_Y0_N29
\OSC_CLK_in~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_OSC_CLK_in,
	o => \OSC_CLK_in~input_o\);

-- Location: CLKCTRL_G19
\OSC_CLK_in~inputclkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \OSC_CLK_in~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \OSC_CLK_in~inputclkctrl_outclk\);

-- Location: LCCOMB_X38_Y35_N24
\Chip2|Chip2|future_state~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip2|future_state~2_combout\ = (!\Chip2|Chip2|present_state\(3) & (\Chip2|Chip2|present_state\(2) $ (((\Chip2|Chip2|present_state\(1) & \Chip2|Chip2|present_state\(0))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001111000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip2|present_state\(1),
	datab => \Chip2|Chip2|present_state\(0),
	datac => \Chip2|Chip2|present_state\(2),
	datad => \Chip2|Chip2|present_state\(3),
	combout => \Chip2|Chip2|future_state~2_combout\);

-- Location: IOIBUF_X46_Y54_N29
\CD_L~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CD_L,
	o => \CD_L~input_o\);

-- Location: LCCOMB_X40_Y35_N10
\Chip2|Chip1|present_state[0]~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[0]~22_combout\ = \Chip2|Chip1|present_state\(0) $ (VCC)
-- \Chip2|Chip1|present_state[0]~23\ = CARRY(\Chip2|Chip1|present_state\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|present_state\(0),
	datad => VCC,
	combout => \Chip2|Chip1|present_state[0]~22_combout\,
	cout => \Chip2|Chip1|present_state[0]~23\);

-- Location: LCCOMB_X40_Y35_N22
\Chip2|Chip1|present_state[6]~34\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[6]~34_combout\ = (\Chip2|Chip1|present_state\(6) & (\Chip2|Chip1|present_state[5]~33\ $ (GND))) # (!\Chip2|Chip1|present_state\(6) & (!\Chip2|Chip1|present_state[5]~33\ & VCC))
-- \Chip2|Chip1|present_state[6]~35\ = CARRY((\Chip2|Chip1|present_state\(6) & !\Chip2|Chip1|present_state[5]~33\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(6),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[5]~33\,
	combout => \Chip2|Chip1|present_state[6]~34_combout\,
	cout => \Chip2|Chip1|present_state[6]~35\);

-- Location: LCCOMB_X40_Y35_N24
\Chip2|Chip1|present_state[7]~36\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[7]~36_combout\ = (\Chip2|Chip1|present_state\(7) & (!\Chip2|Chip1|present_state[6]~35\)) # (!\Chip2|Chip1|present_state\(7) & ((\Chip2|Chip1|present_state[6]~35\) # (GND)))
-- \Chip2|Chip1|present_state[7]~37\ = CARRY((!\Chip2|Chip1|present_state[6]~35\) # (!\Chip2|Chip1|present_state\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(7),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[6]~35\,
	combout => \Chip2|Chip1|present_state[7]~36_combout\,
	cout => \Chip2|Chip1|present_state[7]~37\);

-- Location: FF_X40_Y35_N25
\Chip2|Chip1|present_state[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[7]~36_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(7));

-- Location: LCCOMB_X40_Y35_N26
\Chip2|Chip1|present_state[8]~38\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[8]~38_combout\ = (\Chip2|Chip1|present_state\(8) & (\Chip2|Chip1|present_state[7]~37\ $ (GND))) # (!\Chip2|Chip1|present_state\(8) & (!\Chip2|Chip1|present_state[7]~37\ & VCC))
-- \Chip2|Chip1|present_state[8]~39\ = CARRY((\Chip2|Chip1|present_state\(8) & !\Chip2|Chip1|present_state[7]~37\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|present_state\(8),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[7]~37\,
	combout => \Chip2|Chip1|present_state[8]~38_combout\,
	cout => \Chip2|Chip1|present_state[8]~39\);

-- Location: FF_X40_Y35_N27
\Chip2|Chip1|present_state[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[8]~38_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(8));

-- Location: LCCOMB_X40_Y35_N28
\Chip2|Chip1|present_state[9]~40\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[9]~40_combout\ = (\Chip2|Chip1|present_state\(9) & (!\Chip2|Chip1|present_state[8]~39\)) # (!\Chip2|Chip1|present_state\(9) & ((\Chip2|Chip1|present_state[8]~39\) # (GND)))
-- \Chip2|Chip1|present_state[9]~41\ = CARRY((!\Chip2|Chip1|present_state[8]~39\) # (!\Chip2|Chip1|present_state\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(9),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[8]~39\,
	combout => \Chip2|Chip1|present_state[9]~40_combout\,
	cout => \Chip2|Chip1|present_state[9]~41\);

-- Location: FF_X40_Y35_N29
\Chip2|Chip1|present_state[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[9]~40_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(9));

-- Location: LCCOMB_X40_Y35_N30
\Chip2|Chip1|present_state[10]~42\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[10]~42_combout\ = (\Chip2|Chip1|present_state\(10) & (\Chip2|Chip1|present_state[9]~41\ $ (GND))) # (!\Chip2|Chip1|present_state\(10) & (!\Chip2|Chip1|present_state[9]~41\ & VCC))
-- \Chip2|Chip1|present_state[10]~43\ = CARRY((\Chip2|Chip1|present_state\(10) & !\Chip2|Chip1|present_state[9]~41\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|present_state\(10),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[9]~41\,
	combout => \Chip2|Chip1|present_state[10]~42_combout\,
	cout => \Chip2|Chip1|present_state[10]~43\);

-- Location: FF_X40_Y35_N31
\Chip2|Chip1|present_state[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[10]~42_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(10));

-- Location: LCCOMB_X40_Y34_N0
\Chip2|Chip1|present_state[11]~44\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[11]~44_combout\ = (\Chip2|Chip1|present_state\(11) & (!\Chip2|Chip1|present_state[10]~43\)) # (!\Chip2|Chip1|present_state\(11) & ((\Chip2|Chip1|present_state[10]~43\) # (GND)))
-- \Chip2|Chip1|present_state[11]~45\ = CARRY((!\Chip2|Chip1|present_state[10]~43\) # (!\Chip2|Chip1|present_state\(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(11),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[10]~43\,
	combout => \Chip2|Chip1|present_state[11]~44_combout\,
	cout => \Chip2|Chip1|present_state[11]~45\);

-- Location: FF_X40_Y34_N1
\Chip2|Chip1|present_state[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[11]~44_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(11));

-- Location: LCCOMB_X40_Y34_N2
\Chip2|Chip1|present_state[12]~46\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[12]~46_combout\ = (\Chip2|Chip1|present_state\(12) & (\Chip2|Chip1|present_state[11]~45\ $ (GND))) # (!\Chip2|Chip1|present_state\(12) & (!\Chip2|Chip1|present_state[11]~45\ & VCC))
-- \Chip2|Chip1|present_state[12]~47\ = CARRY((\Chip2|Chip1|present_state\(12) & !\Chip2|Chip1|present_state[11]~45\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(12),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[11]~45\,
	combout => \Chip2|Chip1|present_state[12]~46_combout\,
	cout => \Chip2|Chip1|present_state[12]~47\);

-- Location: FF_X40_Y34_N3
\Chip2|Chip1|present_state[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[12]~46_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(12));

-- Location: LCCOMB_X40_Y34_N4
\Chip2|Chip1|present_state[13]~48\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[13]~48_combout\ = (\Chip2|Chip1|present_state\(13) & (!\Chip2|Chip1|present_state[12]~47\)) # (!\Chip2|Chip1|present_state\(13) & ((\Chip2|Chip1|present_state[12]~47\) # (GND)))
-- \Chip2|Chip1|present_state[13]~49\ = CARRY((!\Chip2|Chip1|present_state[12]~47\) # (!\Chip2|Chip1|present_state\(13)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(13),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[12]~47\,
	combout => \Chip2|Chip1|present_state[13]~48_combout\,
	cout => \Chip2|Chip1|present_state[13]~49\);

-- Location: FF_X40_Y34_N5
\Chip2|Chip1|present_state[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[13]~48_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(13));

-- Location: LCCOMB_X40_Y34_N6
\Chip2|Chip1|present_state[14]~50\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[14]~50_combout\ = (\Chip2|Chip1|present_state\(14) & (\Chip2|Chip1|present_state[13]~49\ $ (GND))) # (!\Chip2|Chip1|present_state\(14) & (!\Chip2|Chip1|present_state[13]~49\ & VCC))
-- \Chip2|Chip1|present_state[14]~51\ = CARRY((\Chip2|Chip1|present_state\(14) & !\Chip2|Chip1|present_state[13]~49\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(14),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[13]~49\,
	combout => \Chip2|Chip1|present_state[14]~50_combout\,
	cout => \Chip2|Chip1|present_state[14]~51\);

-- Location: FF_X40_Y34_N7
\Chip2|Chip1|present_state[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[14]~50_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(14));

-- Location: LCCOMB_X40_Y34_N8
\Chip2|Chip1|present_state[15]~52\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[15]~52_combout\ = (\Chip2|Chip1|present_state\(15) & (!\Chip2|Chip1|present_state[14]~51\)) # (!\Chip2|Chip1|present_state\(15) & ((\Chip2|Chip1|present_state[14]~51\) # (GND)))
-- \Chip2|Chip1|present_state[15]~53\ = CARRY((!\Chip2|Chip1|present_state[14]~51\) # (!\Chip2|Chip1|present_state\(15)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(15),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[14]~51\,
	combout => \Chip2|Chip1|present_state[15]~52_combout\,
	cout => \Chip2|Chip1|present_state[15]~53\);

-- Location: FF_X40_Y34_N9
\Chip2|Chip1|present_state[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[15]~52_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(15));

-- Location: LCCOMB_X40_Y34_N10
\Chip2|Chip1|present_state[16]~54\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[16]~54_combout\ = (\Chip2|Chip1|present_state\(16) & (\Chip2|Chip1|present_state[15]~53\ $ (GND))) # (!\Chip2|Chip1|present_state\(16) & (!\Chip2|Chip1|present_state[15]~53\ & VCC))
-- \Chip2|Chip1|present_state[16]~55\ = CARRY((\Chip2|Chip1|present_state\(16) & !\Chip2|Chip1|present_state[15]~53\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(16),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[15]~53\,
	combout => \Chip2|Chip1|present_state[16]~54_combout\,
	cout => \Chip2|Chip1|present_state[16]~55\);

-- Location: FF_X40_Y34_N11
\Chip2|Chip1|present_state[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[16]~54_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(16));

-- Location: LCCOMB_X40_Y34_N12
\Chip2|Chip1|present_state[17]~56\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[17]~56_combout\ = (\Chip2|Chip1|present_state\(17) & (!\Chip2|Chip1|present_state[16]~55\)) # (!\Chip2|Chip1|present_state\(17) & ((\Chip2|Chip1|present_state[16]~55\) # (GND)))
-- \Chip2|Chip1|present_state[17]~57\ = CARRY((!\Chip2|Chip1|present_state[16]~55\) # (!\Chip2|Chip1|present_state\(17)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|present_state\(17),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[16]~55\,
	combout => \Chip2|Chip1|present_state[17]~56_combout\,
	cout => \Chip2|Chip1|present_state[17]~57\);

-- Location: FF_X40_Y34_N13
\Chip2|Chip1|present_state[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[17]~56_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(17));

-- Location: LCCOMB_X40_Y34_N14
\Chip2|Chip1|present_state[18]~58\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[18]~58_combout\ = (\Chip2|Chip1|present_state\(18) & (\Chip2|Chip1|present_state[17]~57\ $ (GND))) # (!\Chip2|Chip1|present_state\(18) & (!\Chip2|Chip1|present_state[17]~57\ & VCC))
-- \Chip2|Chip1|present_state[18]~59\ = CARRY((\Chip2|Chip1|present_state\(18) & !\Chip2|Chip1|present_state[17]~57\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(18),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[17]~57\,
	combout => \Chip2|Chip1|present_state[18]~58_combout\,
	cout => \Chip2|Chip1|present_state[18]~59\);

-- Location: FF_X40_Y34_N15
\Chip2|Chip1|present_state[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[18]~58_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(18));

-- Location: LCCOMB_X40_Y34_N16
\Chip2|Chip1|present_state[19]~60\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[19]~60_combout\ = (\Chip2|Chip1|present_state\(19) & (!\Chip2|Chip1|present_state[18]~59\)) # (!\Chip2|Chip1|present_state\(19) & ((\Chip2|Chip1|present_state[18]~59\) # (GND)))
-- \Chip2|Chip1|present_state[19]~61\ = CARRY((!\Chip2|Chip1|present_state[18]~59\) # (!\Chip2|Chip1|present_state\(19)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(19),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[18]~59\,
	combout => \Chip2|Chip1|present_state[19]~60_combout\,
	cout => \Chip2|Chip1|present_state[19]~61\);

-- Location: FF_X40_Y34_N17
\Chip2|Chip1|present_state[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[19]~60_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(19));

-- Location: LCCOMB_X40_Y34_N18
\Chip2|Chip1|present_state[20]~62\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[20]~62_combout\ = (\Chip2|Chip1|present_state\(20) & (\Chip2|Chip1|present_state[19]~61\ $ (GND))) # (!\Chip2|Chip1|present_state\(20) & (!\Chip2|Chip1|present_state[19]~61\ & VCC))
-- \Chip2|Chip1|present_state[20]~63\ = CARRY((\Chip2|Chip1|present_state\(20) & !\Chip2|Chip1|present_state[19]~61\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|present_state\(20),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[19]~61\,
	combout => \Chip2|Chip1|present_state[20]~62_combout\,
	cout => \Chip2|Chip1|present_state[20]~63\);

-- Location: FF_X40_Y34_N19
\Chip2|Chip1|present_state[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[20]~62_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(20));

-- Location: LCCOMB_X40_Y34_N28
\Chip2|Chip1|LessThan0~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|LessThan0~4_combout\ = (!\Chip2|Chip1|present_state\(20) & (!\Chip2|Chip1|present_state\(19) & ((!\Chip2|Chip1|present_state\(17)) # (!\Chip2|Chip1|present_state\(18)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100010001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|present_state\(20),
	datab => \Chip2|Chip1|present_state\(19),
	datac => \Chip2|Chip1|present_state\(18),
	datad => \Chip2|Chip1|present_state\(17),
	combout => \Chip2|Chip1|LessThan0~4_combout\);

-- Location: LCCOMB_X40_Y35_N8
\Chip2|Chip1|Equal0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|Equal0~0_combout\ = (\Chip2|Chip1|present_state\(1) & (\Chip2|Chip1|present_state\(3) & (\Chip2|Chip1|present_state\(2) & \Chip2|Chip1|present_state\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|present_state\(1),
	datab => \Chip2|Chip1|present_state\(3),
	datac => \Chip2|Chip1|present_state\(2),
	datad => \Chip2|Chip1|present_state\(0),
	combout => \Chip2|Chip1|Equal0~0_combout\);

-- Location: LCCOMB_X40_Y35_N2
\Chip2|Chip1|Equal0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|Equal0~1_combout\ = (\Chip2|Chip1|Equal0~0_combout\ & \Chip2|Chip1|present_state\(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Chip2|Chip1|Equal0~0_combout\,
	datad => \Chip2|Chip1|present_state\(4),
	combout => \Chip2|Chip1|Equal0~1_combout\);

-- Location: LCCOMB_X40_Y34_N22
\Chip2|Chip1|Equal0~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|Equal0~3_combout\ = (!\Chip2|Chip1|present_state\(20) & (!\Chip2|Chip1|present_state\(15) & (!\Chip2|Chip1|present_state\(14) & !\Chip2|Chip1|present_state\(19))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|present_state\(20),
	datab => \Chip2|Chip1|present_state\(15),
	datac => \Chip2|Chip1|present_state\(14),
	datad => \Chip2|Chip1|present_state\(19),
	combout => \Chip2|Chip1|Equal0~3_combout\);

-- Location: LCCOMB_X40_Y34_N24
\Chip2|Chip1|Equal0~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|Equal0~4_combout\ = (!\Chip2|Chip1|present_state\(16) & \Chip2|Chip1|Equal0~3_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(16),
	datac => \Chip2|Chip1|Equal0~3_combout\,
	combout => \Chip2|Chip1|Equal0~4_combout\);

-- Location: LCCOMB_X40_Y35_N6
\Chip2|Chip1|LessThan0~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|LessThan0~1_combout\ = ((!\Chip2|Chip1|present_state\(10) & (!\Chip2|Chip1|present_state\(11) & !\Chip2|Chip1|present_state\(12)))) # (!\Chip2|Chip1|present_state\(13))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|present_state\(10),
	datab => \Chip2|Chip1|present_state\(11),
	datac => \Chip2|Chip1|present_state\(12),
	datad => \Chip2|Chip1|present_state\(13),
	combout => \Chip2|Chip1|LessThan0~1_combout\);

-- Location: LCCOMB_X39_Y35_N18
\Chip2|Chip1|LessThan0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|LessThan0~0_combout\ = (!\Chip2|Chip1|present_state\(9) & (!\Chip2|Chip1|present_state\(11) & !\Chip2|Chip1|present_state\(12)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(9),
	datac => \Chip2|Chip1|present_state\(11),
	datad => \Chip2|Chip1|present_state\(12),
	combout => \Chip2|Chip1|LessThan0~0_combout\);

-- Location: LCCOMB_X40_Y35_N4
\Chip2|Chip1|LessThan0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|LessThan0~2_combout\ = (\Chip2|Chip1|LessThan0~1_combout\) # ((\Chip2|Chip1|LessThan0~0_combout\ & ((!\Chip2|Chip1|present_state\(8)) # (!\Chip2|Chip1|present_state\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|LessThan0~1_combout\,
	datab => \Chip2|Chip1|present_state\(7),
	datac => \Chip2|Chip1|present_state\(8),
	datad => \Chip2|Chip1|LessThan0~0_combout\,
	combout => \Chip2|Chip1|LessThan0~2_combout\);

-- Location: LCCOMB_X40_Y34_N30
\Chip2|Chip1|LessThan0~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|LessThan0~3_combout\ = (\Chip2|Chip1|Equal0~4_combout\ & ((\Chip2|Chip1|LessThan0~2_combout\) # ((!\Chip2|Chip1|Equal0~1_combout\ & \Chip2|Chip1|Equal0~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|Equal0~1_combout\,
	datab => \Chip2|Chip1|Equal0~4_combout\,
	datac => \Chip2|Chip1|Equal0~2_combout\,
	datad => \Chip2|Chip1|LessThan0~2_combout\,
	combout => \Chip2|Chip1|LessThan0~3_combout\);

-- Location: LCCOMB_X40_Y34_N20
\Chip2|Chip1|present_state[21]~64\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[21]~64_combout\ = \Chip2|Chip1|present_state[20]~63\ $ (\Chip2|Chip1|present_state\(21))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \Chip2|Chip1|present_state\(21),
	cin => \Chip2|Chip1|present_state[20]~63\,
	combout => \Chip2|Chip1|present_state[21]~64_combout\);

-- Location: FF_X40_Y34_N21
\Chip2|Chip1|present_state[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[21]~64_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(21));

-- Location: LCCOMB_X40_Y34_N26
\Chip2|Chip1|LessThan0~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|LessThan0~5_combout\ = (!\Chip2|Chip1|LessThan0~4_combout\ & (!\Chip2|Chip1|LessThan0~3_combout\ & \Chip2|Chip1|present_state\(21)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|LessThan0~4_combout\,
	datac => \Chip2|Chip1|LessThan0~3_combout\,
	datad => \Chip2|Chip1|present_state\(21),
	combout => \Chip2|Chip1|LessThan0~5_combout\);

-- Location: FF_X40_Y35_N11
\Chip2|Chip1|present_state[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[0]~22_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(0));

-- Location: LCCOMB_X40_Y35_N12
\Chip2|Chip1|present_state[1]~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[1]~24_combout\ = (\Chip2|Chip1|present_state\(1) & (!\Chip2|Chip1|present_state[0]~23\)) # (!\Chip2|Chip1|present_state\(1) & ((\Chip2|Chip1|present_state[0]~23\) # (GND)))
-- \Chip2|Chip1|present_state[1]~25\ = CARRY((!\Chip2|Chip1|present_state[0]~23\) # (!\Chip2|Chip1|present_state\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|present_state\(1),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[0]~23\,
	combout => \Chip2|Chip1|present_state[1]~24_combout\,
	cout => \Chip2|Chip1|present_state[1]~25\);

-- Location: FF_X40_Y35_N13
\Chip2|Chip1|present_state[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[1]~24_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(1));

-- Location: LCCOMB_X40_Y35_N14
\Chip2|Chip1|present_state[2]~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[2]~26_combout\ = (\Chip2|Chip1|present_state\(2) & (\Chip2|Chip1|present_state[1]~25\ $ (GND))) # (!\Chip2|Chip1|present_state\(2) & (!\Chip2|Chip1|present_state[1]~25\ & VCC))
-- \Chip2|Chip1|present_state[2]~27\ = CARRY((\Chip2|Chip1|present_state\(2) & !\Chip2|Chip1|present_state[1]~25\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(2),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[1]~25\,
	combout => \Chip2|Chip1|present_state[2]~26_combout\,
	cout => \Chip2|Chip1|present_state[2]~27\);

-- Location: FF_X40_Y35_N15
\Chip2|Chip1|present_state[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[2]~26_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(2));

-- Location: LCCOMB_X40_Y35_N16
\Chip2|Chip1|present_state[3]~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[3]~28_combout\ = (\Chip2|Chip1|present_state\(3) & (!\Chip2|Chip1|present_state[2]~27\)) # (!\Chip2|Chip1|present_state\(3) & ((\Chip2|Chip1|present_state[2]~27\) # (GND)))
-- \Chip2|Chip1|present_state[3]~29\ = CARRY((!\Chip2|Chip1|present_state[2]~27\) # (!\Chip2|Chip1|present_state\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(3),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[2]~27\,
	combout => \Chip2|Chip1|present_state[3]~28_combout\,
	cout => \Chip2|Chip1|present_state[3]~29\);

-- Location: FF_X40_Y35_N17
\Chip2|Chip1|present_state[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[3]~28_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(3));

-- Location: LCCOMB_X40_Y35_N18
\Chip2|Chip1|present_state[4]~30\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[4]~30_combout\ = (\Chip2|Chip1|present_state\(4) & (\Chip2|Chip1|present_state[3]~29\ $ (GND))) # (!\Chip2|Chip1|present_state\(4) & (!\Chip2|Chip1|present_state[3]~29\ & VCC))
-- \Chip2|Chip1|present_state[4]~31\ = CARRY((\Chip2|Chip1|present_state\(4) & !\Chip2|Chip1|present_state[3]~29\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(4),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[3]~29\,
	combout => \Chip2|Chip1|present_state[4]~30_combout\,
	cout => \Chip2|Chip1|present_state[4]~31\);

-- Location: FF_X40_Y35_N19
\Chip2|Chip1|present_state[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[4]~30_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(4));

-- Location: LCCOMB_X40_Y35_N20
\Chip2|Chip1|present_state[5]~32\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[5]~32_combout\ = (\Chip2|Chip1|present_state\(5) & (!\Chip2|Chip1|present_state[4]~31\)) # (!\Chip2|Chip1|present_state\(5) & ((\Chip2|Chip1|present_state[4]~31\) # (GND)))
-- \Chip2|Chip1|present_state[5]~33\ = CARRY((!\Chip2|Chip1|present_state[4]~31\) # (!\Chip2|Chip1|present_state\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(5),
	datad => VCC,
	cin => \Chip2|Chip1|present_state[4]~31\,
	combout => \Chip2|Chip1|present_state[5]~32_combout\,
	cout => \Chip2|Chip1|present_state[5]~33\);

-- Location: FF_X40_Y35_N21
\Chip2|Chip1|present_state[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[5]~32_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(5));

-- Location: FF_X40_Y35_N23
\Chip2|Chip1|present_state[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[6]~34_combout\,
	clrn => \CD_L~input_o\,
	sclr => \Chip2|Chip1|LessThan0~5_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(6));

-- Location: LCCOMB_X39_Y35_N30
\Chip2|Chip1|Equal0~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|Equal0~2_combout\ = (!\Chip2|Chip1|present_state\(6) & (!\Chip2|Chip1|present_state\(5) & \Chip2|Chip1|LessThan0~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip1|present_state\(6),
	datac => \Chip2|Chip1|present_state\(5),
	datad => \Chip2|Chip1|LessThan0~0_combout\,
	combout => \Chip2|Chip1|Equal0~2_combout\);

-- Location: LCCOMB_X40_Y35_N0
\Chip2|Chip1|Equal0~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|Equal0~5_combout\ = (\Chip2|Chip1|present_state\(10) & (\Chip2|Chip1|present_state\(7) & (\Chip2|Chip1|present_state\(8) & \Chip2|Chip1|present_state\(13))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|present_state\(10),
	datab => \Chip2|Chip1|present_state\(7),
	datac => \Chip2|Chip1|present_state\(8),
	datad => \Chip2|Chip1|present_state\(13),
	combout => \Chip2|Chip1|Equal0~5_combout\);

-- Location: LCCOMB_X39_Y35_N16
\Chip2|Chip1|Equal0~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|Equal0~6_combout\ = (\Chip2|Chip1|present_state\(21) & (\Chip2|Chip1|present_state\(18) & (\Chip2|Chip1|Equal0~5_combout\ & \Chip2|Chip1|present_state\(17))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|present_state\(21),
	datab => \Chip2|Chip1|present_state\(18),
	datac => \Chip2|Chip1|Equal0~5_combout\,
	datad => \Chip2|Chip1|present_state\(17),
	combout => \Chip2|Chip1|Equal0~6_combout\);

-- Location: LCCOMB_X39_Y35_N24
\Chip2|Chip1|Equal0~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|Equal0~7_combout\ = (\Chip2|Chip1|Equal0~2_combout\ & (\Chip2|Chip1|Equal0~1_combout\ & (\Chip2|Chip1|Equal0~4_combout\ & \Chip2|Chip1|Equal0~6_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip1|Equal0~2_combout\,
	datab => \Chip2|Chip1|Equal0~1_combout\,
	datac => \Chip2|Chip1|Equal0~4_combout\,
	datad => \Chip2|Chip1|Equal0~6_combout\,
	combout => \Chip2|Chip1|Equal0~7_combout\);

-- Location: FF_X38_Y35_N25
\Chip2|Chip2|present_state[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip2|future_state~2_combout\,
	clrn => \CD_L~input_o\,
	ena => \Chip2|Chip1|Equal0~7_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip2|present_state\(2));

-- Location: LCCOMB_X38_Y35_N10
\Chip2|Chip2|future_state~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip2|future_state~1_combout\ = (\Chip2|Chip2|present_state\(1) & (\Chip2|Chip2|present_state\(2) & (!\Chip2|Chip2|present_state\(3) & \Chip2|Chip2|present_state\(0)))) # (!\Chip2|Chip2|present_state\(1) & (!\Chip2|Chip2|present_state\(2) & 
-- (\Chip2|Chip2|present_state\(3) & !\Chip2|Chip2|present_state\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip2|present_state\(1),
	datab => \Chip2|Chip2|present_state\(2),
	datac => \Chip2|Chip2|present_state\(3),
	datad => \Chip2|Chip2|present_state\(0),
	combout => \Chip2|Chip2|future_state~1_combout\);

-- Location: FF_X38_Y35_N11
\Chip2|Chip2|present_state[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip2|future_state~1_combout\,
	clrn => \CD_L~input_o\,
	ena => \Chip2|Chip1|Equal0~7_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip2|present_state\(3));

-- Location: LCCOMB_X38_Y35_N30
\Chip2|Chip2|future_state~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip2|future_state~3_combout\ = (!\Chip2|Chip2|present_state\(3) & (\Chip2|Chip2|present_state\(0) $ (\Chip2|Chip2|present_state\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001011010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip2|present_state\(0),
	datac => \Chip2|Chip2|present_state\(1),
	datad => \Chip2|Chip2|present_state\(3),
	combout => \Chip2|Chip2|future_state~3_combout\);

-- Location: FF_X38_Y35_N31
\Chip2|Chip2|present_state[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip2|future_state~3_combout\,
	clrn => \CD_L~input_o\,
	ena => \Chip2|Chip1|Equal0~7_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip2|present_state\(1));

-- Location: LCCOMB_X38_Y35_N12
\Chip2|Chip2|future_state~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip2|future_state~0_combout\ = (!\Chip2|Chip2|present_state\(0) & (((!\Chip2|Chip2|present_state\(1) & !\Chip2|Chip2|present_state\(2))) # (!\Chip2|Chip2|present_state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip2|present_state\(1),
	datab => \Chip2|Chip2|present_state\(2),
	datac => \Chip2|Chip2|present_state\(0),
	datad => \Chip2|Chip2|present_state\(3),
	combout => \Chip2|Chip2|future_state~0_combout\);

-- Location: FF_X38_Y35_N13
\Chip2|Chip2|present_state[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~inputclkctrl_outclk\,
	d => \Chip2|Chip2|future_state~0_combout\,
	clrn => \CD_L~input_o\,
	ena => \Chip2|Chip1|Equal0~7_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip2|present_state\(0));

-- Location: LCCOMB_X38_Y35_N16
\Chip2|Chip2|TC10~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip2|TC10~0_combout\ = (\Chip2|Chip2|present_state\(0) & (!\Chip2|Chip2|present_state\(2) & (!\Chip2|Chip2|present_state\(1) & \Chip2|Chip2|present_state\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip2|present_state\(0),
	datab => \Chip2|Chip2|present_state\(2),
	datac => \Chip2|Chip2|present_state\(1),
	datad => \Chip2|Chip2|present_state\(3),
	combout => \Chip2|Chip2|TC10~0_combout\);

-- Location: LCCOMB_X39_Y35_N22
\Chip2|Chip4|current_state~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip4|current_state~0_combout\ = \Chip2|Chip4|current_state~q\ $ (((\Chip2|Chip2|TC10~0_combout\ & \Chip2|Chip1|Equal0~7_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip2|TC10~0_combout\,
	datac => \Chip2|Chip4|current_state~q\,
	datad => \Chip2|Chip1|Equal0~7_combout\,
	combout => \Chip2|Chip4|current_state~0_combout\);

-- Location: FF_X39_Y35_N23
\Chip2|Chip4|current_state\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~input_o\,
	d => \Chip2|Chip4|current_state~0_combout\,
	clrn => \CD_L~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip4|current_state~q\);

-- Location: LCCOMB_X39_Y35_N28
\Chip2|Chip3|current_state~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip2|Chip3|current_state~0_combout\ = !\Chip2|Chip3|current_state~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Chip2|Chip3|current_state~q\,
	combout => \Chip2|Chip3|current_state~0_combout\);

-- Location: FF_X39_Y35_N29
\Chip2|Chip3|current_state\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \OSC_CLK_in~input_o\,
	d => \Chip2|Chip3|current_state~0_combout\,
	clrn => \CD_L~input_o\,
	ena => \Chip2|Chip1|Equal0~7_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip3|current_state~q\);

-- Location: LCCOMB_X39_Y35_N10
\Chip3|Y~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip3|Y~0_combout\ = (\Sel_freq~input_o\ & ((!\Chip2|Chip3|current_state~q\))) # (!\Sel_freq~input_o\ & (!\Chip2|Chip4|current_state~q\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001111001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Sel_freq~input_o\,
	datac => \Chip2|Chip4|current_state~q\,
	datad => \Chip2|Chip3|current_state~q\,
	combout => \Chip3|Y~0_combout\);

-- Location: LCCOMB_X47_Y46_N30
\Chip4|Y~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip4|Y~0_combout\ = LCELL((\Sel_CLK~input_o\ & (!\CP_L~input_o\)) # (!\Sel_CLK~input_o\ & ((!\Chip3|Y~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001001110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Sel_CLK~input_o\,
	datab => \CP_L~input_o\,
	datad => \Chip3|Y~0_combout\,
	combout => \Chip4|Y~0_combout\);

-- Location: LCCOMB_X47_Y46_N26
\Chip1|Chip1|current_state~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip1|Chip1|current_state~0_combout\ = !\Chip1|Chip1|current_state~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Chip1|Chip1|current_state~q\,
	combout => \Chip1|Chip1|current_state~0_combout\);

-- Location: FF_X47_Y46_N31
\Chip1|Chip1|current_state\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \Chip4|Y~0_combout\,
	asdata => \Chip1|Chip1|current_state~0_combout\,
	clrn => \CD_L~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|Chip1|current_state~q\);

-- Location: LCCOMB_X47_Y46_N16
\Chip1|Chip2|current_state~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip1|Chip2|current_state~0_combout\ = !\Chip1|Chip2|current_state~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Chip1|Chip2|current_state~q\,
	combout => \Chip1|Chip2|current_state~0_combout\);

-- Location: FF_X47_Y46_N3
\Chip1|Chip2|current_state\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \Chip1|Chip1|current_state~q\,
	asdata => \Chip1|Chip2|current_state~0_combout\,
	clrn => \CD_L~input_o\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|Chip2|current_state~q\);

-- Location: LCCOMB_X70_Y50_N16
\Chip1|Chip3|current_state~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip1|Chip3|current_state~0_combout\ = !\Chip1|Chip3|current_state~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip1|Chip3|current_state~q\,
	combout => \Chip1|Chip3|current_state~0_combout\);

-- Location: LCCOMB_X70_Y50_N0
\Chip1|Chip3|current_state~feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip1|Chip3|current_state~feeder_combout\ = \Chip1|Chip3|current_state~0_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip1|Chip3|current_state~0_combout\,
	combout => \Chip1|Chip3|current_state~feeder_combout\);

-- Location: FF_X70_Y50_N1
\Chip1|Chip3|current_state\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \Chip1|Chip2|current_state~q\,
	d => \Chip1|Chip3|current_state~feeder_combout\,
	clrn => \CD_L~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|Chip3|current_state~q\);

-- Location: IOIBUF_X69_Y54_N1
\Sel_code~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_Sel_code,
	o => \Sel_code~input_o\);

-- Location: LCCOMB_X70_Y50_N4
\Chip1|Chip4|current_state~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip1|Chip4|current_state~0_combout\ = !\Chip1|Chip4|current_state~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Chip1|Chip4|current_state~q\,
	combout => \Chip1|Chip4|current_state~0_combout\);

-- Location: FF_X70_Y50_N5
\Chip1|Chip4|current_state\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \Chip1|Chip3|current_state~q\,
	d => \Chip1|Chip4|current_state~0_combout\,
	clrn => \CD_L~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|Chip4|current_state~q\);

-- Location: LCCOMB_X70_Y50_N8
\Chip7|Y~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip7|Y~1_combout\ = (\Chip1|Chip3|current_state~q\ & ((\Chip1|Chip2|current_state~q\) # ((!\Chip1|Chip4|current_state~q\) # (!\Sel_code~input_o\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip2|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Sel_code~input_o\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip7|Y~1_combout\);

-- Location: LCCOMB_X70_Y50_N20
\Chip7|Y~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip7|Y~2_combout\ = (\Chip1|Chip2|current_state~q\ & (((!\Chip1|Chip4|current_state~q\) # (!\Sel_code~input_o\)))) # (!\Chip1|Chip2|current_state~q\ & (\Chip1|Chip3|current_state~q\ & (\Sel_code~input_o\ & \Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip2|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Sel_code~input_o\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip7|Y~2_combout\);

-- Location: LCCOMB_X70_Y50_N28
\Chip7|Y~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip7|Y~0_combout\ = (\Chip1|Chip4|current_state~q\ & (((!\Chip1|Chip2|current_state~q\ & !\Chip1|Chip3|current_state~q\)) # (!\Sel_code~input_o\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip2|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Sel_code~input_o\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip7|Y~0_combout\);

-- Location: LCCOMB_X69_Y50_N16
\Chip8|A_L~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip8|A_L~0_combout\ = (\Chip7|Y~1_combout\ & (!\Chip7|Y~2_combout\ & (\Chip1|Chip1|current_state~q\ $ (!\Chip7|Y~0_combout\)))) # (!\Chip7|Y~1_combout\ & (\Chip1|Chip1|current_state~q\ & (\Chip7|Y~2_combout\ $ (!\Chip7|Y~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010100000000110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip1|current_state~q\,
	datab => \Chip7|Y~1_combout\,
	datac => \Chip7|Y~2_combout\,
	datad => \Chip7|Y~0_combout\,
	combout => \Chip8|A_L~0_combout\);

-- Location: LCCOMB_X70_Y50_N24
\Chip8|B_L~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip8|B_L~0_combout\ = (\Chip7|Y~2_combout\ & ((\Chip1|Chip1|current_state~q\ & ((\Chip7|Y~0_combout\))) # (!\Chip1|Chip1|current_state~q\ & (\Chip7|Y~1_combout\)))) # (!\Chip7|Y~2_combout\ & (\Chip7|Y~1_combout\ & (\Chip1|Chip1|current_state~q\ $ 
-- (\Chip7|Y~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010110001001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip7|Y~2_combout\,
	datab => \Chip7|Y~1_combout\,
	datac => \Chip1|Chip1|current_state~q\,
	datad => \Chip7|Y~0_combout\,
	combout => \Chip8|B_L~0_combout\);

-- Location: LCCOMB_X69_Y50_N22
\Chip8|C_L~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip8|C_L~0_combout\ = (\Chip7|Y~1_combout\ & (\Chip7|Y~0_combout\ & ((\Chip7|Y~2_combout\) # (!\Chip1|Chip1|current_state~q\)))) # (!\Chip7|Y~1_combout\ & (!\Chip1|Chip1|current_state~q\ & (\Chip7|Y~2_combout\ & !\Chip7|Y~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip1|current_state~q\,
	datab => \Chip7|Y~1_combout\,
	datac => \Chip7|Y~2_combout\,
	datad => \Chip7|Y~0_combout\,
	combout => \Chip8|C_L~0_combout\);

-- Location: LCCOMB_X69_Y50_N4
\Chip8|D_L~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip8|D_L~0_combout\ = (\Chip1|Chip1|current_state~q\ & (\Chip7|Y~1_combout\ $ ((!\Chip7|Y~2_combout\)))) # (!\Chip1|Chip1|current_state~q\ & ((\Chip7|Y~1_combout\ & (!\Chip7|Y~2_combout\ & !\Chip7|Y~0_combout\)) # (!\Chip7|Y~1_combout\ & 
-- (\Chip7|Y~2_combout\ & \Chip7|Y~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001001010000110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip1|current_state~q\,
	datab => \Chip7|Y~1_combout\,
	datac => \Chip7|Y~2_combout\,
	datad => \Chip7|Y~0_combout\,
	combout => \Chip8|D_L~0_combout\);

-- Location: LCCOMB_X70_Y50_N10
\Chip8|E_L~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip8|E_L~0_combout\ = (\Chip7|Y~2_combout\ & (((\Chip1|Chip1|current_state~q\ & !\Chip7|Y~0_combout\)))) # (!\Chip7|Y~2_combout\ & ((\Chip7|Y~1_combout\ & ((!\Chip7|Y~0_combout\))) # (!\Chip7|Y~1_combout\ & (\Chip1|Chip1|current_state~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000011110100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip7|Y~2_combout\,
	datab => \Chip7|Y~1_combout\,
	datac => \Chip1|Chip1|current_state~q\,
	datad => \Chip7|Y~0_combout\,
	combout => \Chip8|E_L~0_combout\);

-- Location: LCCOMB_X70_Y50_N26
\Chip8|F_L~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip8|F_L~0_combout\ = (\Chip7|Y~2_combout\ & (!\Chip7|Y~0_combout\ & ((\Chip1|Chip1|current_state~q\) # (!\Chip7|Y~1_combout\)))) # (!\Chip7|Y~2_combout\ & (\Chip1|Chip1|current_state~q\ & (\Chip7|Y~1_combout\ $ (!\Chip7|Y~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000010110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip7|Y~2_combout\,
	datab => \Chip7|Y~1_combout\,
	datac => \Chip1|Chip1|current_state~q\,
	datad => \Chip7|Y~0_combout\,
	combout => \Chip8|F_L~0_combout\);

-- Location: LCCOMB_X70_Y50_N18
\Chip8|G_L~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip8|G_L~0_combout\ = (\Chip1|Chip4|current_state~q\ & ((\Chip1|Chip2|current_state~q\ & (!\Chip1|Chip3|current_state~q\ & \Sel_code~input_o\)) # (!\Chip1|Chip2|current_state~q\ & (\Chip1|Chip3|current_state~q\ & !\Sel_code~input_o\)))) # 
-- (!\Chip1|Chip4|current_state~q\ & (\Chip1|Chip2|current_state~q\ $ ((!\Chip1|Chip3|current_state~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010010010011001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip2|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Sel_code~input_o\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip8|G_L~0_combout\);

-- Location: LCCOMB_X70_Y50_N12
\Chip8|G_L~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip8|G_L~1_combout\ = (\Chip8|G_L~0_combout\ & ((\Chip1|Chip2|current_state~q\ $ (!\Chip1|Chip1|current_state~q\)) # (!\Chip1|Chip3|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip2|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Chip1|Chip1|current_state~q\,
	datad => \Chip8|G_L~0_combout\,
	combout => \Chip8|G_L~1_combout\);

-- Location: LCCOMB_X70_Y50_N30
\TS~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \TS~0_combout\ = (\Sel_code~input_o\ & (\Chip1|Chip4|current_state~q\ & ((\Chip1|Chip2|current_state~q\) # (\Chip1|Chip3|current_state~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip2|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Sel_code~input_o\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \TS~0_combout\);

-- Location: LCCOMB_X70_Y46_N28
\Chip5|Mux15~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~0_combout\ = (!\Chip1|Chip3|current_state~q\ & (!\Chip1|Chip1|current_state~q\ & (!\Chip1|Chip2|current_state~q\ & !\Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip3|current_state~q\,
	datab => \Chip1|Chip1|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~0_combout\);

-- Location: LCCOMB_X70_Y46_N14
\Chip5|Mux15~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~1_combout\ = (!\Chip1|Chip3|current_state~q\ & (\Chip1|Chip1|current_state~q\ & (!\Chip1|Chip2|current_state~q\ & !\Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip3|current_state~q\,
	datab => \Chip1|Chip1|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~1_combout\);

-- Location: LCCOMB_X70_Y46_N20
\Chip5|Mux15~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~2_combout\ = (!\Chip1|Chip3|current_state~q\ & (!\Chip1|Chip1|current_state~q\ & (\Chip1|Chip2|current_state~q\ & !\Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip3|current_state~q\,
	datab => \Chip1|Chip1|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~2_combout\);

-- Location: LCCOMB_X70_Y46_N18
\Chip5|Mux15~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~3_combout\ = (!\Chip1|Chip3|current_state~q\ & (\Chip1|Chip1|current_state~q\ & (\Chip1|Chip2|current_state~q\ & !\Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip3|current_state~q\,
	datab => \Chip1|Chip1|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~3_combout\);

-- Location: LCCOMB_X70_Y50_N22
\Chip5|Mux15~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~4_combout\ = (!\Chip1|Chip2|current_state~q\ & (\Chip1|Chip3|current_state~q\ & (!\Chip1|Chip1|current_state~q\ & !\Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip2|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Chip1|Chip1|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~4_combout\);

-- Location: LCCOMB_X70_Y52_N8
\Chip5|Mux15~5\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~5_combout\ = (!\Chip1|Chip2|current_state~q\ & (\Chip1|Chip3|current_state~q\ & (\Chip1|Chip1|current_state~q\ & !\Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip2|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Chip1|Chip1|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~5_combout\);

-- Location: LCCOMB_X70_Y52_N26
\Chip5|Mux15~6\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~6_combout\ = (\Chip1|Chip2|current_state~q\ & (\Chip1|Chip3|current_state~q\ & (!\Chip1|Chip1|current_state~q\ & !\Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip2|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Chip1|Chip1|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~6_combout\);

-- Location: LCCOMB_X70_Y46_N12
\Chip5|Mux15~7\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~7_combout\ = (\Chip1|Chip3|current_state~q\ & (\Chip1|Chip1|current_state~q\ & (\Chip1|Chip2|current_state~q\ & !\Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip3|current_state~q\,
	datab => \Chip1|Chip1|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~7_combout\);

-- Location: LCCOMB_X70_Y46_N22
\Chip5|Mux15~8\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~8_combout\ = (!\Chip1|Chip3|current_state~q\ & (!\Chip1|Chip1|current_state~q\ & (!\Chip1|Chip2|current_state~q\ & \Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip3|current_state~q\,
	datab => \Chip1|Chip1|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~8_combout\);

-- Location: LCCOMB_X70_Y52_N4
\Chip5|Mux15~9\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~9_combout\ = (!\Chip1|Chip2|current_state~q\ & (!\Chip1|Chip3|current_state~q\ & (\Chip1|Chip1|current_state~q\ & \Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip2|current_state~q\,
	datab => \Chip1|Chip3|current_state~q\,
	datac => \Chip1|Chip1|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~9_combout\);

-- Location: LCCOMB_X70_Y46_N16
\Chip5|Mux15~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~10_combout\ = (!\Chip1|Chip3|current_state~q\ & (!\Chip1|Chip1|current_state~q\ & (\Chip1|Chip2|current_state~q\ & \Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip3|current_state~q\,
	datab => \Chip1|Chip1|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~10_combout\);

-- Location: LCCOMB_X70_Y46_N6
\Chip5|Mux15~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~11_combout\ = (!\Chip1|Chip3|current_state~q\ & (\Chip1|Chip1|current_state~q\ & (\Chip1|Chip2|current_state~q\ & \Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip3|current_state~q\,
	datab => \Chip1|Chip1|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~11_combout\);

-- Location: LCCOMB_X70_Y46_N4
\Chip5|Mux15~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~12_combout\ = (\Chip1|Chip3|current_state~q\ & (!\Chip1|Chip1|current_state~q\ & (!\Chip1|Chip2|current_state~q\ & \Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip3|current_state~q\,
	datab => \Chip1|Chip1|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~12_combout\);

-- Location: LCCOMB_X70_Y46_N26
\Chip5|Mux15~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~13_combout\ = (\Chip1|Chip3|current_state~q\ & (\Chip1|Chip1|current_state~q\ & (!\Chip1|Chip2|current_state~q\ & \Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip3|current_state~q\,
	datab => \Chip1|Chip1|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~13_combout\);

-- Location: LCCOMB_X70_Y46_N24
\Chip5|Mux15~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~14_combout\ = (\Chip1|Chip3|current_state~q\ & (!\Chip1|Chip1|current_state~q\ & (\Chip1|Chip2|current_state~q\ & \Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip3|current_state~q\,
	datab => \Chip1|Chip1|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~14_combout\);

-- Location: LCCOMB_X70_Y46_N10
\Chip5|Mux15~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \Chip5|Mux15~15_combout\ = (\Chip1|Chip3|current_state~q\ & (\Chip1|Chip1|current_state~q\ & (\Chip1|Chip2|current_state~q\ & \Chip1|Chip4|current_state~q\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|Chip3|current_state~q\,
	datab => \Chip1|Chip1|current_state~q\,
	datac => \Chip1|Chip2|current_state~q\,
	datad => \Chip1|Chip4|current_state~q\,
	combout => \Chip5|Mux15~15_combout\);

-- Location: UNVM_X0_Y40_N40
\~QUARTUS_CREATED_UNVM~\ : fiftyfivenm_unvm
-- pragma translate_off
GENERIC MAP (
	addr_range1_end_addr => -1,
	addr_range1_offset => -1,
	addr_range2_end_addr => -1,
	addr_range2_offset => -1,
	addr_range3_offset => -1,
	is_compressed_image => "false",
	is_dual_boot => "false",
	is_eram_skip => "false",
	max_ufm_valid_addr => -1,
	max_valid_addr => -1,
	min_ufm_valid_addr => -1,
	min_valid_addr => -1,
	part_name => "quartus_created_unvm",
	reserve_block => "true")
-- pragma translate_on
PORT MAP (
	nosc_ena => \~QUARTUS_CREATED_GND~I_combout\,
	xe_ye => \~QUARTUS_CREATED_GND~I_combout\,
	se => \~QUARTUS_CREATED_GND~I_combout\,
	busy => \~QUARTUS_CREATED_UNVM~~busy\);

-- Location: ADCBLOCK_X43_Y52_N0
\~QUARTUS_CREATED_ADC1~\ : fiftyfivenm_adcblock
-- pragma translate_off
GENERIC MAP (
	analog_input_pin_mask => 0,
	clkdiv => 1,
	device_partname_fivechar_prefix => "none",
	is_this_first_or_second_adc => 1,
	prescalar => 0,
	pwd => 1,
	refsel => 0,
	reserve_block => "true",
	testbits => 66,
	tsclkdiv => 1,
	tsclksel => 0)
-- pragma translate_on
PORT MAP (
	soc => \~QUARTUS_CREATED_GND~I_combout\,
	usr_pwd => VCC,
	tsen => \~QUARTUS_CREATED_GND~I_combout\,
	chsel => \~QUARTUS_CREATED_ADC1~_CHSEL_bus\,
	eoc => \~QUARTUS_CREATED_ADC1~~eoc\);

-- Location: ADCBLOCK_X43_Y51_N0
\~QUARTUS_CREATED_ADC2~\ : fiftyfivenm_adcblock
-- pragma translate_off
GENERIC MAP (
	analog_input_pin_mask => 0,
	clkdiv => 1,
	device_partname_fivechar_prefix => "none",
	is_this_first_or_second_adc => 2,
	prescalar => 0,
	pwd => 1,
	refsel => 0,
	reserve_block => "true",
	testbits => 66,
	tsclkdiv => 1,
	tsclksel => 0)
-- pragma translate_on
PORT MAP (
	soc => \~QUARTUS_CREATED_GND~I_combout\,
	usr_pwd => VCC,
	tsen => \~QUARTUS_CREATED_GND~I_combout\,
	chsel => \~QUARTUS_CREATED_ADC2~_CHSEL_bus\,
	eoc => \~QUARTUS_CREATED_ADC2~~eoc\);

ww_A_L <= \A_L~output_o\;

ww_B_L <= \B_L~output_o\;

ww_C_L <= \C_L~output_o\;

ww_D_L <= \D_L~output_o\;

ww_E_L <= \E_L~output_o\;

ww_F_L <= \F_L~output_o\;

ww_G_L <= \G_L~output_o\;

ww_TS_L1 <= \TS_L1~output_o\;

ww_TS_L2 <= \TS_L2~output_o\;

ww_SEG_L(0) <= \SEG_L[0]~output_o\;

ww_SEG_L(1) <= \SEG_L[1]~output_o\;

ww_SEG_L(2) <= \SEG_L[2]~output_o\;

ww_SEG_L(3) <= \SEG_L[3]~output_o\;

ww_SEG_L(4) <= \SEG_L[4]~output_o\;

ww_SEG_L(5) <= \SEG_L[5]~output_o\;

ww_SEG_L(6) <= \SEG_L[6]~output_o\;

ww_SEG_L(7) <= \SEG_L[7]~output_o\;

ww_SEG_L(8) <= \SEG_L[8]~output_o\;

ww_SEG_L(9) <= \SEG_L[9]~output_o\;

ww_SEG_L(10) <= \SEG_L[10]~output_o\;

ww_SEG_L(11) <= \SEG_L[11]~output_o\;

ww_SEG_L(12) <= \SEG_L[12]~output_o\;

ww_SEG_L(13) <= \SEG_L[13]~output_o\;

ww_SEG_L(14) <= \SEG_L[14]~output_o\;

ww_SEG_L(15) <= \SEG_L[15]~output_o\;

ww_LED(0) <= \LED[0]~output_o\;

ww_LED(1) <= \LED[1]~output_o\;

ww_LED(2) <= \LED[2]~output_o\;

ww_LED(3) <= \LED[3]~output_o\;

ww_LED4 <= \LED4~output_o\;

ww_LED5 <= \LED5~output_o\;

ww_LED6 <= \LED6~output_o\;

ww_LED7 <= \LED7~output_o\;

ww_LED8 <= \LED8~output_o\;

ww_LED9 <= \LED9~output_o\;
END structure;


